#!/bin/bash
# Update script for AnomalyDetection R-scripts

# only root can run script
if [ $EUID -ne 0 ]; then
	echo 'Run this script as root. Exiting.' 1>&2
	exit 1
fi

PG_DIR="/usr/local/src/profilegenerator"
PG_TEMP="/tmp/profilegen_temp"

dl_link='http://anomalydetection.info/files/R_scripts.tar.gz'

timestamp=`date +%Y%m%d%H%M%S`
rconf="R_conf_$timestamp.r"

rm -rf $PG_TEMP
mkdir $PG_TEMP
cd $PG_TEMP

echo "Profilegenerator & Evaluator update."

echo -n "Current version:"
cat $PG_DIR/version

wget $dl_link
tar zxvf R_scripts.tar.gz -C $PG_DIR/
rm R_scripts.tar.gz

echo -n "New version:"
cat $PG_DIR/version

echo "Updating R environment."
echo "update.packages()" > $rconf
R CMD BATCH $rconf R_$log
rm -f $rconf

echo "Done."
